%define         oname            xmlrpc
%define         srcname          %{oname}tcl

Name:           tcl-xmlrpc
Version:        0.3
Release:        %mkrel 5
Summary:        Tcl implementation of the XML-RPC specifications

License:        GPLv2
Group:          Networking/WWW
URL:            https://sourceforge.net/projects/xmlrpctcl
Source:         https://downloads.sourceforge.net/project/xmlrpctcl/xmlrpctcl/xmlrpctcl0.3/%{srcname}%{version}.tar.gz

Source1:        pkgIndex.tcl

BuildRequires:  pkgconfig(tcl)
BuildArch:      noarch


%description
A Tcl implementation of XML-RPC providing client and server
support.

%prep
%setup -q -n %{oname}%{version}

%build

%install
%__install -D -p -m 644 xmlrpc.tcl %{buildroot}%{tcl_sitelib}/%{oname}%version/xmlrpc.tcl
%__install -D -m 644 %{SOURCE1} %{buildroot}%{tcl_sitelib}/%{oname}%version/pkgIndex.tcl

%files
%doc CHANGES
%{tcl_sitelib}/xmlrpc%{version}



%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.3-5.mga10
+ Revision: 2202329
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.3-4.mga9
+ Revision: 1807698
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.3-3.mga8
+ Revision: 1501186
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.3-2.mga7
+ Revision: 1276668
- Mageia 7 Mass Rebuild

* Thu Mar 31 2016 eatdirt <eatdirt> 0.3-1.mga6
+ Revision: 997102
- imported package tcl-xmlrpc


* Thu Mar 31 2016 Chris Ringeval <eatdirt@mageia.org> 0.3-1.mga6
- Importing package tcl-xmlrpc
